# timer.c File Reference

`#include "magick/studio.h"`
`#include "magick/log.h"`
`#include "magick/memory_.h"`
`#include "magick/timer.h"`

## Defines

#define | CLK_TCK sysconf(_SC_CLK_TCK)

## Functions

static double | UserTime (void)
static void | StopTimer (TimerInfo *)
MagickExport MagickBooleanType | ContinueTimer (TimerInfo *time_info)
static double | ElapsedTime (void)
MagickExport double | GetElapsedTime (TimerInfo *time_info)
MagickExport void | GetTimerInfo (TimerInfo *time_info)
MagickExport double | GetUserTime (TimerInfo *time_info)
MagickExport void | ResetTimer (TimerInfo *time_info)
MagickExport void | StartTimer (TimerInfo *time_info, const MagickBooleanType reset)

## Define Documentation

#define CLK_TCK sysconf(_SC_CLK_TCK)

## Function Documentation

MagickExport MagickBooleanType ContinueTimer | ( | TimerInfo * | time_info | ) |

static double ElapsedTime | ( | void |  | ) | `[static]`

MagickExport double GetElapsedTime | ( | TimerInfo * | time_info | ) |

MagickExport void GetTimerInfo | ( | TimerInfo * | time_info | ) |

MagickExport double GetUserTime | ( | TimerInfo * | time_info | ) |

MagickExport void ResetTimer | ( | TimerInfo * | time_info | ) |

MagickExport void StartTimer | ( | TimerInfo * | time_info,
|  | const MagickBooleanType | reset |
| ) |  |  |

static void StopTimer | ( | TimerInfo * | time_info | ) | `[static]`

static double UserTime | ( | void |  | ) | `[static]`